# Interface ContractAndContexts

#### Hierarchy

- ContractAndContexts

- Defined in codec/lib/abi-data/allocate/types.ts:23

#####
Index

### Properties

compilationId
constructorContext?
contract
deployedContext?
node

## Properties

### compilationId

compilationId: string

- Defined in codec/lib/abi-data/allocate/types.ts:24

### `Optional` constructorContext

constructorContext?: Context

- Defined in codec/lib/abi-data/allocate/types.ts:28

### contract

contract: Contract

- Defined in codec/lib/abi-data/allocate/types.ts:25

### `Optional` deployedContext

deployedContext?: Context

- Defined in codec/lib/abi-data/allocate/types.ts:27

### node

node: AstNode

- Defined in codec/lib/abi-data/allocate/types.ts:26

Generated using TypeDoc